/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.project.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import net.northking.cctp.common.db.entity.Entity;
import net.northking.cctp.common.saas.db.TenantPartition;

import javax.validation.constraints.Size;
import java.util.Date;


/**
 * 系统软件关联表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2021-09-14 10:40:30  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "系统软件关联表")
public class CpProjectSoftware extends TenantPartition implements Entity
{
  public static final String KEY_id = "id";
  public static final String KEY_projectId = "projectId";
  public static final String KEY_softwareId = "softwareId";
  public static final String KEY_createdBy = "createdBy";
  public static final String KEY_createdTime = "createdTime";
  public static final String KEY_updatedBy = "updatedBy";
  public static final String KEY_updatedTime = "updatedTime";
  public static final String KEY_tenantId = "tenantId";

  /**
   * 主键<br>
   */
  @ApiModelProperty("主键")
  @Size(max = 32, message="主键-id: 数据长度不能 > 32" )
  private String id;
  /**
   * 系统主键<br>
   */
  @ApiModelProperty("系统主键")
  @Size(max = 32, message="系统主键-projectId: 数据长度不能 > 32" )
  private String projectId;
  /**
   * 系统选中的软件<br>
   */
  @ApiModelProperty("系统选中的软件")
  @Size(max = 32, message="系统选中的软件-softwareId: 数据长度不能 > 32" )
  private String softwareId;
  /**
   * 创建人<br>
   */
  @ApiModelProperty("创建人")
  @Size(max = 32, message="创建人-createdBy: 数据长度不能 > 32" )
  private String createdBy;
  /**
   * 创建时间<br>
   */
  @ApiModelProperty("创建时间")
  private Date createdTime;
  /**
   * 修改人<br>
   */
  @ApiModelProperty("修改人")
  @Size(max = 32, message="修改人-updatedBy: 数据长度不能 > 32" )
  private String updatedBy;
  /**
   * 修改时间<br>
   */
  @ApiModelProperty("修改时间")
  private Date updatedTime;
  /**
   * 租户id<br>
   */
  @ApiModelProperty("租户id")
  @Size(max = 32, message="租户id-tenantId: 数据长度不能 > 32" )
  private String tenantId;

  /**
   * 主键<br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * 主键<br>
   *
   * @param id 主键
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * 系统主键<br>
   */
  public String getProjectId()
  {
      return projectId;
    }

  /**
   * 系统主键<br>
   *
   * @param projectId 系统主键
   */
  public void setProjectId(String projectId)
  {
      this.projectId = projectId;
    }
  /**
   * 系统选中的软件<br>
   */
  public String getSoftwareId()
  {
      return softwareId;
    }

  /**
   * 系统选中的软件<br>
   *
   * @param softwareId 系统选中的软件
   */
  public void setSoftwareId(String softwareId)
  {
      this.softwareId = softwareId;
    }
  /**
   * 创建人<br>
   */
  public String getCreatedBy()
  {
      return createdBy;
    }

  /**
   * 创建人<br>
   *
   * @param createdBy 创建人
   */
  public void setCreatedBy(String createdBy)
  {
      this.createdBy = createdBy;
    }
  /**
   * 创建时间<br>
   */
  public Date getCreatedTime()
  {
      if(createdTime != null)
    {
      return (Date)createdTime.clone();
    }
    return null;
    }

  /**
   * 创建时间<br>
   *
   * @param createdTime 创建时间
   */
  public void setCreatedTime(Date createdTime)
  {
      if(createdTime != null)
    {
      this.createdTime = (Date)createdTime.clone();
    }
    }
  /**
   * 修改人<br>
   */
  public String getUpdatedBy()
  {
      return updatedBy;
    }

  /**
   * 修改人<br>
   *
   * @param updatedBy 修改人
   */
  public void setUpdatedBy(String updatedBy)
  {
      this.updatedBy = updatedBy;
    }
  /**
   * 修改时间<br>
   */
  public Date getUpdatedTime()
  {
      if(updatedTime != null)
    {
      return (Date)updatedTime.clone();
    }
    return null;
    }

  /**
   * 修改时间<br>
   *
   * @param updatedTime 修改时间
   */
  public void setUpdatedTime(Date updatedTime)
  {
      if(updatedTime != null)
    {
      this.updatedTime = (Date)updatedTime.clone();
    }
    }
  /**
   * 租户id<br>
   */
  public String getTenantId()
  {
      return tenantId;
    }

  /**
   * 租户id<br>
   *
   * @param tenantId 租户id
   */
  public void setTenantId(String tenantId)
  {
      this.tenantId = tenantId;
    }

  public CpProjectSoftware()
  {
  }

}
